using System;
using System.IO;
//using System.Windows.Forms;
using System.Net.Sockets;

/// <summary>
/// Example program showing simple TCP socket connections in C#.NET.
/// ThreadedClient is the socket client to a sample threaded server.
/// <author>Tim Lindquist ECET ASU East</author>
/// <version>September 8, 2002</version>
/// </summary>
/// <remarks>
/// This server is multi-threaded in that it creates a new thread to handle
/// each incoming client connection. Note that .NET supports this directly,
/// if you use the asynchronous server sockets (see Using an Asynchronous
/// Server Socket in the .NET Framework Developer's Guide).
/// Each incoming connection causes the server to allocate a new
/// thread object. The communication protocol in this example is simple.
/// The client reads a string from standard input to send to the server.
/// It then reads a string from the server and displays the string
/// on standard output.
/// </remarks>
public class ThreadedClient 
{

	public static void Main (string[] args) 
	{
		TcpClient tcpc = new TcpClient("localhost", 9090);
		Stream tcpStream = tcpc.GetStream();
		StreamWriter writer = new StreamWriter(tcpStream,
			System.Text.Encoding.ASCII);
		StreamReader reader = new StreamReader(tcpStream,
			System.Text.Encoding.ASCII);
		Console.Write("string to send>");
		String myStr = Console.ReadLine();
		writer.Write(myStr);
		writer.Flush();
		String fromServer = reader.ReadLine();
		Console.WriteLine("Received from server: {0}", fromServer);
		reader.Close();
		writer.Close();
		tcpc.Close();
	}
}
